unit uViewReciboProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewBase, uBizRecibosProveedor, DB, uDADataTable, dxLayoutControl,
  cxControls, cxCurrencyEdit, cxDBEdit, cxMemo, cxMaskEdit, cxDropDownEdit,
  cxCalendar, cxContainer, cxEdit, cxTextEdit, dxLayoutLookAndFeels, ExtCtrls,
  uDAInterfaces;

type
  IViewReciboProveedor = interface(IViewBase)
  ['{3EDDAF2C-2A99-43AE-8DBB-3AC300660D94}']
    function GetRecibo: IBizRecibosProveedor;
    procedure SetRecibo(const Value: IBizRecibosProveedor);
    property Recibo: IBizRecibosProveedor read GetRecibo write SetRecibo;
  end;


  TfrViewReciboProveedor = class(TfrViewBase, IViewReciboProveedor)
    DADataSource: TDADataSource;
    dxLayoutControl1Group_Root: TdxLayoutGroup;
    dxLayoutControl1: TdxLayoutControl;
    dxLayoutControl1Item1: TdxLayoutItem;
    eReferencia: TcxDBTextEdit;
    dxLayoutControl1Item2: TdxLayoutItem;
    eSituacion: TcxDBTextEdit;
    dxLayoutControl1Item3: TdxLayoutItem;
    edtFechaVencimiento: TcxDBDateEdit;
    dxLayoutControl1Item5: TdxLayoutItem;
    memObservaciones: TcxDBMemo;
    dxLayoutControl1Group1: TdxLayoutGroup;
    dxLayoutControl1Item7: TdxLayoutItem;
    eFechaEmision: TcxDBTextEdit;
    dxLayoutControl1Item8: TdxLayoutItem;
    eFormaPago: TcxDBTextEdit;
    dxLayoutControl1Item9: TdxLayoutItem;
    eImporteTotal: TcxDBCurrencyEdit;
    dxLayoutControl1Group5: TdxLayoutGroup;
    dxLayoutControl1Item10: TdxLayoutItem;
    eNombreCliente: TcxDBTextEdit;
    dxLayoutControl1Item11: TdxLayoutItem;
    eNifCif: TcxDBTextEdit;
    dxLayoutControl1Group6: TdxLayoutGroup;
    dxLayoutControl1Group8: TdxLayoutGroup;
    dxLayoutControl1Item16: TdxLayoutItem;
    eRemesa: TcxDBTextEdit;
    dxLayoutControl1Group2: TdxLayoutGroup;
    dxLayoutLookAndFeelList1: TdxLayoutLookAndFeelList;
    dxLayoutOfficeLookAndFeel1: TdxLayoutOfficeLookAndFeel;
    dxLayoutControl1Group7: TdxLayoutGroup;
    dxLayoutControl1Group9: TdxLayoutGroup;
    dxLayoutControl1Item19: TdxLayoutItem;
    edtFechaEmision: TcxDBDateEdit;
    dxLayoutControl1Item20: TdxLayoutItem;
    eReferenciaProveedor: TcxDBTextEdit;
    dxLayoutControl1Item21: TdxLayoutItem;
    rReferenciaFacturaProv: TcxDBTextEdit;
    dxLayoutControl1Item4: TdxLayoutItem;
    rRefReciboCompensado: TcxDBTextEdit;
    dxLayoutControl1Item6: TdxLayoutItem;
    eCuenta: TcxDBTextEdit;
  private
    FRecibo : IBizRecibosProveedor;
    function GetRecibo: IBizRecibosProveedor;
    procedure SetRecibo(const Value: IBizRecibosProveedor);
  public
    property Recibo: IBizRecibosProveedor read GetRecibo write SetRecibo;
  end;

var
  frViewReciboProveedor: TfrViewReciboProveedor;

implementation

{$R *.dfm}

{ TfrViewReciboProveedor }

function TfrViewReciboProveedor.GetRecibo: IBizRecibosProveedor;
begin
  Result := FRecibo;
end;

procedure TfrViewReciboProveedor.SetRecibo(const Value: IBizRecibosProveedor);
begin
  FRecibo := Value;
  if Assigned(FRecibo) then
    DADataSource.DataTable := FRecibo.DataTable
  else
    DADataSource.DataTable := NIL;
end;

end.
